local GoldBackground = {
  bgFile = "Interface\\DialogFrame\\UI-DialogBox-Gold-Background",  
  edgeFile = "Interface\\DialogFrame\\UI-DialogBox-Gold-Border",
  tile = true,
  tileSize = 32,
  edgeSize = 32,
  insets = {
    left = 11,
    right = 12,
    top = 12,
    bottom = 11
  }
}

RR_Enabled = true

CreateFrame("Frame","RudeResponse",UIParent)
RudeResponse:SetBackdrop(GoldBackground)
RudeResponse:SetPoint("CENTER")
RudeResponse:SetWidth(168)
RudeResponse:SetHeight(72)
RudeResponse:SetPoint("CENTER",0,0)
RudeResponse:SetMovable(true)
RudeResponse:EnableMouse(true)
RudeResponse:SetClampedToScreen(true)
RudeResponse:SetClampRectInsets(0,0,0,0)
RudeResponse:SetFrameStrata("DIALOG")
RudeResponse:Hide()
RudeResponse:RegisterEvent("CHAT_MSG_WHISPER")
RudeResponse:RegisterEvent("CHAT_MSG_BN_WHISPER")
RudeResponse:SetScript("OnEvent", function(self,event,a,b,c,d,e,f,g,h,i,j,k,l,o)
	if event == "CHAT_MSG_WHISPER" then
		RudeResponse.send = a
		RudeResponse.sender = b
		RudeResponse.msgtype = "chat"
		if RR_Enabled then
			RudeResponse:Show()
		end
	end
	if event == "CHAT_MSG_BN_WHISPER" then
		RudeResponse.send = a
		RudeResponse.sender = b
		RudeResponse.msgtype = "bn"
		RudeResponse.bnid = o
		if RR_Enabled then
			RudeResponse:Show()
		end
	end
end)
RudeResponse:RegisterForDrag("LeftButton")
RudeResponse:SetScript("OnDragStart", RudeResponse.StartMoving)
RudeResponse:SetScript("OnDragStop", RudeResponse.StopMovingOrSizing)

CreateFrame("Button","RudeResponse_Yes",RudeResponse,"UIPanelButtonTemplate")
RudeResponse_Yes:SetWidth(140)
RudeResponse_Yes:SetHeight(22)
RudeResponse_Yes:SetPoint("BOTTOM",RudeResponse,"Center")
RudeResponse_Yes:SetText("Send rude message")
RudeResponse_Yes:SetScript("OnClick",function()
	local msg = ""
	for k = 1,RudeResponse.send:len(),1 do
         if k % 2 == 0 then
            msg = msg .. RudeResponse.send:sub(k,k):lower()
         else
            msg = msg .. RudeResponse.send:sub(k,k):upper()
         end
	end
	RudeResponse:Hide()
	if RudeResponse.msgtype == "chat" then
		SendChatMessage(msg,"Whisper",nil,RudeResponse.sender)
	end
	if RudeResponse.msgtype == "bn" then
		BNSendWhisper(RudeResponse.bnid, msg)
	end
end)
CreateFrame("Button","RudeResponse_No",RudeResponse,"UIPanelButtonTemplate")
RudeResponse_No:SetWidth(140)
RudeResponse_No:SetHeight(22)
RudeResponse_No:SetPoint("TOP",RudeResponse,"Center")
RudeResponse_No:SetText("Let it be")
RudeResponse_No:SetScript("OnClick",function()
	  RudeResponse:Hide()
end)

SLASH_RUDERESPONSE1,SLASH_RUDERESPONSE2 = '/ruderesponse','/rr'
function SlashCmdList.RUDERESPONSE(msg, editbox)
	if msg == "" then
	if RR_Enabled then
		print("You're nice! (Rude responses now turned off)")
	    RR_Enabled = false
	else
		print("You're a twat! (Rude responses are now turned on)")
		RR_Enabled = true
	end
	end
	if msg == "open" then
		RudeResponse:Show()
	end
	if msg == "help" then
		print("/rr or /ruderesponse")
		print("append with 'help' to print help info or 'open' to force the window open")
	end
end
